=== debian/changelog ===
exaile-dmo (1:4.1.3~beta3-dmo2) unstable; urgency=medium

  * Add epoch because the Debian package add useless depends on libgtk-3-0
    and gvfs-backends
    Depends on optional python3-musicbrainzngs instead of Recommends
    package isn't byte-compiled at install time.
  * Update package version to 4.1.3-beta3 instead of evel

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 May 2023 08:42:11 +0200

exaile-dmo (4.1.3~beta3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Apr 2023 15:17:48 +0200

exaile-dmo (4.1.3~beta2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Mar 2023 14:34:51 +0100
