=== debian/control ===
Source: exaile-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://exaile.org/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
 python3-all, quilt

Package: exaile
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-typing-extensions, python3-bsddb3,
 gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, python3-mutagen (>= 1.46~), python3-dbus,
 python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0
Recommends: python3-musicbrainzngs, python3-discid, python3-lxml, python3-feedparser
Suggests: gir1.2-keybinder-3.0, ipython3
Description: Music Player for GTK+ 
 Simple interface. Powerful music management. Smart Playlists. Advanced
 track tagging. Automatic album art. Lyrics. Streaming Radio. Podcasts. 
 Secondary output device support. Easily extensible with 50+ plugins
 available.
