=== debian/changelog ===
exaile-dmo (1:4.1.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 May 2025 08:44:11 +0200

exaile-dmo (1:4.1.4~beta1-dmo1) unstable; urgency=medium

  * New upstream beta release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Mar 2025 08:48:20 +0100

exaile-dmo (1:4.1.3-dmo4) unstable; urgency=medium

  * Add upstream patch to fix build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 01:34:22 +0100

exaile-dmo (1:4.1.3-dmo3) unstable; urgency=medium

  * Add ypstream patch to fix sunau support with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Dec 2024 07:50:29 +0100

exaile-dmo (1:4.1.3-dmo2) unstable; urgency=medium

  * Add explicit dependencies for gir1.2 and typelibs

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jan 2024 07:56:24 +0100

exaile-dmo (1:4.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Aug 2023 13:22:52 +0200
