## exaile-dmo 4.2.0

=== debian/changelog ===
exaile-dmo (1:4.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Oct 2025 01:15:38 +0200
