=== debian/control ===
Source: exaile-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://exaile.org/
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gir1.2-girepository-3.0-dev,
 gir1.2-gst-plugins-base-1.0 (>=1.14),
 gir1.2-gtk-3.0 (>=3.22),
 gstreamer1.0-plugins-base,
 help2man,
 pybuild-plugin-pyproject,
 python3-bsddb3,
 python3-dev,
 python3-gi,
 python3-mutagen,
 python3-pytest,
 quilt

Package: exaile
Architecture: all
Depends:
 gir1.2-atk-1.0,
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-girepository-3.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gst-plugins-base-1.0 (>=1.14),
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-3.0,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 python3-bsddb3,
 python3-dbus,
 python3-gi-cairo,
 python3-mutagen (>= 1.46~),
 python3-typing-extensions,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-discid,
 python3-feedparser,
 python3-lxml,
 python3-musicbrainzngs
Suggests: gir1.2-keybinder-3.0, ipython3
Description: Music Player for GTK+
 A music player with a simple interface and powerful music management
 capabilities. Features include automatic fetching of album art, lyrics
 fetching, streaming internet radio, tabbed playlists, smart playlists with
 extensive filtering/search capabilities, and much more.
