=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=exaile

%:
	dh $@ --with quilt

override_dh_auto_install:
	dh_auto_install -- \
	PREFIX=/usr

override_dh_clean:
	dh_clean po/messages.pot
