=== debian/watch ===
version=4

opts="uversionmangle=s/-/~/" \
https://github.com/exaile/exaile/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
