## exaile-dmo 4.2.1

=== debian/changelog ===
exaile-dmo (1:4.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 09:04:22 +0100
